PARSER = VRMLReader#
OBJS = $(PARSER).o $(PARSER).yacc.o $(PARSER).lex.o

C  = i586-mingw32msvc-gcc
CC = i586-mingw32msvc-g++
RM = /bin/rm -f

CFLAGS = -Wall -O2 -I../ -I../../SceneGraph -I../../Utility $(FLAGS)
CCFLAGS = -mms-bitfields

LEX = $(FLEX)
LEXFLAGS = -i -PVRMLReader_

YACC = $(BISON)
YACCFLAGS = -d -pVRMLReader_

all: $(OBJS)

%.o: %.cpp
	$(CC) $(CCFLAGS) $(CFLAGS) -c $<

%.o: %.c
	$(C) $(CFLAGS) -c $<

$(PARSER).lex.c:
	$(LEX) $(LEXFLAGS) -o$(PARSER).lex.c $(PARSER).lex

$(PARSER).yacc.c:
	$(YACC) $(YACCFLAGS) -o $(PARSER).yacc.c $(PARSER).yacc

clean:
	$(RM) *~ *.o $(PARSER).lex.c $(PARSER).yacc.?

